summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2020-03-30 03:27:03 +0200
committerThomas Deutschmann <whissi@gentoo.org>2020-03-30 03:27:03 +0200
commit36cfc7cd21c2d0c351516712c164f35b00d91d02 (patch)
tree47623b60fb5af1adbca6e16f8c09872fdc0eaaca
parentnet-firewall/shorewall: bump to v5.2.4 (diff)
downloadgentoo-36cfc7cd21c2d0c351516712c164f35b00d91d02.tar.gz
gentoo-36cfc7cd21c2d0c351516712c164f35b00d91d02.tar.bz2
gentoo-36cfc7cd21c2d0c351516712c164f35b00d91d02.zip
x11-plugins/enigmail: bump to v2.1.6
Package-Manager: Portage-2.3.96, Repoman-2.3.22 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
-rw-r--r--x11-plugins/enigmail/Manifest1
-rw-r--r--x11-plugins/enigmail/enigmail-2.1.6.ebuild84
2 files changed, 85 insertions, 0 deletions
diff --git a/x11-plugins/enigmail/Manifest b/x11-plugins/enigmail/Manifest
index 02a6fd22192..28281cc3c54 100644
--- a/x11-plugins/enigmail/Manifest
+++ b/x11-plugins/enigmail/Manifest
@@ -1,2 +1,3 @@
DIST enigmail-2.0.12.tar.gz 2614589 BLAKE2B 3db6f595c14e02cfdc71bebc763d05926dc6e0abf4668d132fd0ce43204e681de5fce45db752c4f49b231bd7e217b75c0f23d4a7e204fa9a3a51f1c8097fb63d SHA512 f9f4f1ed4c7244280be2fade0ccb2f4b5e7075dd60f53953478ffb84012e687b7ac7bad489c0b0cb2d8937916c783fe9e1841174bf1e5bdb9ab8cb58b415db74
DIST enigmail-2.1.5.tar.gz 2838286 BLAKE2B e86a340a916a7ac7ef39230e5bb5730198b672ab6c466db5085aa8a818da38e3681a6f22810355db986978c7d547ae50f6d70260a3ccdc9758861d03f3c4e5d5 SHA512 0ed104306ee998b368d4a5779c2daf7c20a112c9a37f357bbe10d8c64dd435448c71e83a0e1a1dc9eb10efcf654b1524676f2b490bf6a065e6dd66de0861baea
+DIST enigmail-2.1.6.tar.gz 2838221 BLAKE2B e95569dcd58f16e64079436a24b152e7d5e3cfbc2067fe909b0f714a8acbcf80db7b1c288302c0ca11b2536fb2ff4f4376bd5de582f3b65fd01938182c9e8f9c SHA512 72159287601ed95052fcdeb3c973714e775150ba41894ecb6474798fd5109ab18dee0e3b8874a920fd07d3b184ed2034cf75f7baff4e14307d8739a312193919
diff --git a/x11-plugins/enigmail/enigmail-2.1.6.ebuild b/x11-plugins/enigmail/enigmail-2.1.6.ebuild
new file mode 100644
index 00000000000..665dd902895
--- /dev/null
+++ b/x11-plugins/enigmail/enigmail-2.1.6.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit python-any-r1
+
+DESCRIPTION="Mozilla extension to provide GPG support in mail clients"
+HOMEPAGE="https://www.enigmail.net/"
+
+SLOT="0"
+LICENSE="MPL-2.0 GPL-3"
+IUSE=""
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.code.sf.net/p/enigmail/source"
+ S="${WORKDIR}/${P}"
+else
+ if [[ ${PV} = *_beta* ]] ; then
+ SRC_URI="https://www.enigmail.net/download/beta/${P/_/-}.tar.gz"
+ else
+ SRC_URI="https://www.enigmail.net/download/source/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+ fi
+ S="${WORKDIR}/${PN}"
+fi
+
+RDEPEND="
+ ( >=app-crypt/gnupg-2.0
+ || (
+ app-crypt/pinentry[gtk(-)]
+ app-crypt/pinentry[qt5(-)]
+ )
+ )
+ !<mail-client/thunderbird-52.5.0
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ app-arch/zip
+ dev-lang/perl
+ "
+
+PATCHES=( "${FILESDIR}/enigmail-no_pEp_auto_download.patch" )
+
+src_compile() {
+ # Required or parallel make fails
+ emake -C stdlib createlib
+
+ emake ipc public ui package lang stdlib
+ emake xpi
+}
+
+src_install() {
+ local build_dir=build-tb
+ local emid=$(sed -n '/"id":/!d; s/.*\({.*}\).*/\1/; p; q' ${build_dir}/dist/manifest.json)
+ [[ -n ${emid} ]] || die "Could not scrape EM:ID from install.rdf"
+
+ mv ${build_dir}/enigmail*.xpi ${build_dir}/"${emid}.xpi" || die 'Could not rename XPI to match EM:ID'
+
+ # thunderbird
+ insinto "/usr/share/mozilla/extensions/{3550f703-e582-4d05-9a08-453d09bdfdc6}"
+ doins ${build_dir}/"${emid}.xpi"
+
+ # seamonkey
+ insinto "/usr/share/mozilla/extensions/{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
+ doins ${build_dir}/"${emid}.xpi"
+}
+
+pkg_postinst() {
+ local peimpl=$(eselect --brief --colour=no pinentry show)
+ case "${peimpl}" in
+ *gtk*|*qt*) ;;
+ *) ewarn "The pinentry front-end currently selected is not one supported by thunderbird."
+ ewarn "You may be prompted for your password in an inaccessible shell!!"
+ ewarn "Please use 'eselect pinentry' to select either the gtk or qt front-end"
+ ;;
+ esac
+ if [[ -n ${REPLACING_VERSIONS} ]]; then
+ elog
+ elog "Please restart thunderbird and/or seamonkey in order for them to use"
+ elog "the newly installed version of enigmail."
+ fi
+}